﻿@model IEnumerable<object>
@{
    ViewBag.Title = "Team Leader";
    List<PMS02.Models.Sending_Request> req = Model.ToList()[0] as List<PMS02.Models.Sending_Request>;
    List<PMS02.Models.Project> pro = Model.ToList()[1] as List<PMS02.Models.Project>;
    List<PMS02.Models.User> listuser = Model.ToList()[2] as List<PMS02.Models.User>;

    var img = "";
    var first = Session["First"];
    var last = Session["Last"];
    var mobile = Session["Mobile"];
    var jop = Session["Job"];
    var role = Session["Role"];
    var id = Session["id"];
}

@if ((string)role == "Team Leader")
{

    <div class="container-fluid text-center">
        <div class="row">

            <div class="col-sm-2 well table-responsive ">
                <div class="well ">
                    <p>Profile Information</p>
                    <img src="" class="img-responsive img-circle" />
                </div>

                <table class="table table-condensed table-hover">
                    <tr>
                        <td class="danger">First Name</td>
                        <td class="success"><strong>@first</strong></td>

                    </tr>
                    <tr>
                        <td class="danger">Last Name </td>
                        <td class="success"><strong>@last</strong></td>
                    </tr>
                    <tr>
                        <td class="danger"> Job Description </td>
                        <td class="success"><strong>@jop</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Mobile  </td>
                        <td class="success"><strong>@mobile</strong></td>
                    </tr>
                </table>

            </div>
            <div class="col-md-10">

                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All  Currents Requests</h3>

                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            Sent BY
                                        </th>

                                        <th>
                                            Email
                                        </th>

                                        <th>
                                            Accept
                                        </th>

                                        <th>
                                            Reject
                                        </th>



                                    </tr>


                                    @foreach (var item in req)
                                    {
                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>

                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.Email)
                                            </td>


                                            <td>
                                                @using (Html.BeginForm("AcceptORreject", "TL", new { requestid = @item.ID, stat = true }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Accept" class="btn btn-primary btn btn-sm"><span class="glyphicon glyphicon-arrow-right"></span> Accept Request</button>
                                                }

                                            </td>


                                            <td>
                                                @using (Html.BeginForm("AcceptORreject", "TL", new { requestid = @item.ID, stat = false }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Reject" class="btn btn-danger btn btn-sm"><span class="glyphicon glyphicon-remove-circle"></span> Reject Request</button>
                                                }

                                            </td>

                                        </tr>
                                    }

                                </table>


                            </div>



                        </div>

                    </div>
                </div>


                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All  Currents and History Projects </h3>

                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            Customer
                                        </th>
                                        <th>
                                            PM
                                        </th>
                                        <th>
                                            Details
                                        </th>
                                        <th>
                                            Leave
                                        </th>
                                        <th>
                                            Send TO JD
                                        </th>

                                    </tr>


                                    @foreach (var item in pro)
                                    {
                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.User.User_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.post_header)
                                            </td>

                                            <td>
                                                @if (item.status.Trim() != "Delivered")
                                                {
                                                    using (Html.BeginForm("Leave", "TL", new { projectId = @item.projectID, userId = id }, FormMethod.Post))
                                                    {
                                                        Html.AntiForgeryToken();

                                                        <button type="submit" value="Leave" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-remove"></span>Leave</button>

                                                    }
                                                }
                                                else
                                                {
                                                    <p>Disabled</p>
                                                }


                                            </td>

                                            <td>
                                                @if (item.status.Trim() != "Delivered")
                                                {
                                                    using (Html.BeginForm("SendRequest", "TL", new { senderid = id, prjectId = @item.projectID }, FormMethod.Post))
                                                    {
                                                        Html.AntiForgeryToken();
                                                        <input id="Text1" type="email" required name="mail" />
                                                            <button type="submit" value="SendRequest" class="btn btn-primary btn btn-sm"><span class="glyphicon glyphicon-send"></span>Send</button>
                                                    }
                                                }
                                                else
                                                {
                                                    <p>Disabled</p>
                                                }

                                            </td>





                                        </tr>
                                    }

                                </table>


                            </div>



                        </div>

                    </div>
                </div>

                <div class="row">

                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All Junior Developers</h3>
                            </div>
                            <div class="panel-body table-responsive">
                                <table class="table table-condensed table-bordered table-hover">

                                    <tr class="danger">

                                        <th>
                                            Actor Name
                                        </th>

                                        <th>
                                            Actor Email
                                        </th>

                                        <th>
                                            Actor Job
                                        </th>


                                    </tr>

                                    @foreach (var user in listuser)
                                    {
                                        <tr class="success">

                                            <td>
                                                @Html.DisplayFor(model => user.User_Name)
                                            </td>

                                            <td>
                                                @Html.DisplayFor(model => user.Email)
                                            </td>

                                            <td>
                                                @Html.DisplayFor(model => user.Job_Description)
                                            </td>
                                        </tr>
                                    }
                                </table>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
}
